package com.xhpc.charging.station.mapper;

import com.xhpc.common.domain.XhpcEquipmenMonitor;
import org.apache.ibatis.annotations.Param;

import java.util.List;
import java.util.Map;

/**
 * @author yuyang
 * @date 2022/9/12 11:07
 */
public interface XhpcEquipmenMonitorMapper {

    List<Map<String, Object>> list(@Param("number") Integer number, @Param("logOperatorId")Long logOperatorId, @Param("tenantId")String tenantId,@Param("chargingStationId")Long  chargingStationId,@Param("equipmenName")String  equipmenName,@Param("equipmenNumber")String  equipmenNumber);


    Map<String, Object> getequipmenMonitorById(@Param("equipmenMonitorId")Long equipmenMonitorId);

    int insertquipmenMonitor(XhpcEquipmenMonitor xhpcEquipmenMonitor);

    int updaEquipmenMonitor(XhpcEquipmenMonitor xhpcEquipmenMonitor);

    List<XhpcEquipmenMonitor> getChargingStationId(@Param("chargingStationId")Long  chargingStationId);
}
